Microburbs
Property - History

All sale + rent history — bundle

GET/v1/properties/{gnaf_id}/history/all80¢ per call

Price: 80¢ per call.

Authorization

Request

The only values you send. Fields under Responses below are what comes back — you never pass those.

Path parameters

gnaf_idstringrequired

Query parameters

None — this endpoint accepts no query parameters. Call the path above with your bearer token and nothing else.

Responses

Successful Response

application/json
HistoryAllfields returned to you
sale_historyarray of HistoryRecordmay be null
sale_history_latestobjectmay be null
rent_historyarray of HistoryRecordmay be null
rent_history_latestobjectmay be null
GET/v1/properties/{gnaf_id}/history/all
cURL
curl --request GET \
  --url 'https://api.microburbs.com.au/v1/properties/GANSW704074813/history/all' \
  --header 'Authorization: Bearer test'
Example Responses
{
  "data": {
    "rent_history": [
      {
        "address": "9 Mcdowall Place",
        "date": "2025-07-24",
        "price": 750,
        "type": "For Rent"
      },
      {
        "address": "9 Mcdowall Place",
        "date": "2022-10-10",
        "type": "For Rent"
      }
    ],
    "rent_history_latest": {
      "address": "9 Mcdowall Place",
      "date": "2025-07-24",
      "price": 750,
      "type": "For Rent"
    },
    "sale_history": [
      {
        "address": "9 Mcdowall Place",
        "date": "2025-06-05",
        "price": 990000,
        "type": "Sold"
      },
      {
        "address": "9 Mcdowall Place",
        "date": "2025-05-22",
        "type": "For Sale"
      }
    ],
    "sale_history_latest": {
      "address": "9 Mcdowall Place",
      "date": "2025-06-05",
      "price": 990000,
      "type": "Sold"
    }
  }
}
Successful Response200
application/json